SSL error in Ruby on Rails Ubuntu

Hi, I am using Rails 3.x on my Ubuntu machine. Today I ran bundle install on a project and this is what I got:

OpenSSL::SSL::SSLError: SSL_connect returned=1 errno=0 state=unknown state: sslv3 alert handshake failure
An error occured while installing tzinfo (0.3.32), and Bundler cannot continue.
Make sure that gem install tzinfo -v '0.3.32' succeeds before bundling.

Any one knows how to solve it?

OK, this problem seems to be a local one as I am using Ubuntu 12.04 BETA

These two URL's could help one solving this problem

http://stackoverflow.com/questions/10329892/bundle-install-causes-gemremotefetcherfetcherror-on-each-gem

http://railsapps.github.com/openssl-certificate-verify-failed.html

OK work around got in case the above solution does not work, in Gemfile
change the first line

source 'https://rubygems.org'

to

source 'http://rubygems.org'